2013-12-13  Konrad Rieck <konrad@mlsec.org>

    - don't track changes

2013-11-16  Konrad Rieck <rieck@kindl.esx>

    - small fixes to README and autotools

2013-09-18  Konrad Rieck <konrad@mlsec.org>

    - support for new libarchive version

2012-12-27  Konrad Rieck <konrad@mlsec.org>

    - changed format of CHANGES file

    - fixed annoying ptr warning

    - updated autotool config

    - changed order of headers

2012-05-26  Konrad Rieck <konrad@mlsec.org>

    - added md README

2012-02-05  Konrad Rieck <konrad@mlsec.org>

    - improved loading of state. started support for info

    - changed working dir of Malheur to local-state dir

    - Malheur development continues in Goettingen now

2012-01-22  Konrad Rieck <konrad@mlsec.org>

    - minor changes to env scripts

2011-09-23  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - sync

2011-08-25  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - rewrote default configuration code

2011-08-24  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - fixed another libconfig related bug.

    - fixed problem with FLT_NONE constant. it is not simply NAN

2011-07-09  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - sync

    - missing files

2011-07-04  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - fixed printing of configuration

2011-04-19  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - updated manual page

2011-04-12  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - missed one release, so back to previous version number

2011-03-29  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - added support for longopts

2010-12-09  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - some new todos

2010-10-08  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - updated documentaiton

    - support for computing prototype distances

2010-10-07  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - updated documentation and added changes file

    - improved output of shared n-grams

2010-09-16  Konrad Rieck <rieck@node16.ml.tu-berlin.de>

    - switched to libconfig 1.4.x

2010-08-06  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - updated man page

    - changed email address

2010-08-04  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - improved computation of shared n-grams

2010-08-03  Konrad Rieck <konrad.rieck@tu-berlin.de>

    - support for shared ngrams

2010-02-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed bug with non-deterministic selection of first prototype

2010-02-03  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support to disable saving

2010-01-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - general code clean-up (casting, printf formats, etc)

2010-01-13  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added local uthash version as fallback

2010-01-11  Konrad Rieck <rieck@cs.tu-berlin.de>

    - removed internal uthash

2010-01-01  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed bug in classification mode

2009-12-28  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved documentation and examples

2009-12-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed installation problems

2009-12-12  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes to math. normalized vectors are mandatory

    - changed MIST format to latest

    - minor fixes

2009-12-05  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added documenation for hash_seed parameters

2009-12-05  Konrad Rieck <rieck@fluffy.my.domain>

    - support changing the seed of MD5 in feature extraction

    - fixes for OpenBSD (including annoying FLT_NONE hack)

    - fixed minimalistic  matlab interface

2009-11-07  Konrad Rieck <rieck@cs.tu-berlin.de>

    - extension and spell fixes to manual

2009-11-07  Konrad Rieck <rieck@node04.ml.tu-berlin.de>

    - openmp enabled by default

2009-11-06  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved manpage egenration

2009-10-30  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixes for distribution

    - support to write version in latex

    - added nice output for pod file

    - added pod infavor of man.in

    - fixes to documentation

    - changed creation of man page

    - first paragraph

    - fixed copyright notice

    - minor fixes

2009-10-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - several improvements of doxygen documentation

2009-10-15  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved layout wrt assignments vs. classification using prototyes

    - changed file names

    - improved run-time of prototype extraction

    - minor speed improvements

2009-10-14  Konrad Rieck <rieck@cs.tu-berlin.de>

    - linux and matlab fixes

    - improved incremental output

    - first version of incremental analysis

2009-10-13  Konrad Rieck <rieck@cs.tu-berlin.de>

    - long overdue code formating

    - fix to automake

    - minor fixes

    - added classification test case

    - added clustering test case

    - added test case for prototype extraction

    - minor fixes in code layout

2009-10-12  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed configuration script

2009-10-12  Konrad Rieck <rieck@cs.tu-berlin.de>

    - forgot class files. ooops.

    - more doxygen fixes

    - fixed comments

    - improved classification routines

    - sync

    - working on cleaner design of clustering/classificaion/prototype stuff

    - changed load and save function for prototypes

2009-10-10  Konrad Rieck <rieck@cs.tu-berlin.de>

    - first version with clustering, classification and prototypes

    - added support for rejection class in classification

    - added support for standard prototype and reject files

2009-10-09  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed bug in matrix access (thanks to valgrind)

2009-10-09  Konrad Rieck <rieck@cs.tu-berlin.de>

    - more fixes to prototypes and export function

    - radical clean up of unused functions

    - simplified matlab cruft

    - further improvements of clustering and prototype computation

    - slimmed down prototype extraction

    - sanitized text output

    - removed annoying HTML and sandbox dependencies

    - fixes for OSX 10.6

2009-10-08  Konrad Rieck <rieck@cs.tu-berlin.de>

    - first version of clustering (Murtagh's algorithm)

    - minor fixes to configuration

2009-09-23  Konrad Rieck <rieck@node15.ml.tu-berlin.de>

    - minor bugfixes

2009-09-21  Konrad Rieck <rieck@node08.ml.tu-berlin.de>

    - fixed bug in orientation of matrices

2009-09-21  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support for distance between report sets

    - fixed bugs in loading routine

    - added support for reading multiple archives

    - added support to merge arrays

    - added first classification hooks in malheur.c

2009-09-09  Konrad Rieck <rieck@cs.tu-berlin.de>

    - unified prototype extraction and classification code

    - adapted matlab code to new prototypes

    - adapted export functions to simple prototypes

    - simplified prototype structure

    - added first classification routines!

    - changed kernel to dot product

    - removed support for arbitary norms and added plain/html output

2009-09-07  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved output

    - removed reference to quantile prototypes

    - removed quantile prototypes

    - improved prototype interface

2009-08-31  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support to sort prototypes

    - fixed bug in progress bar

2009-08-27  Konrad Rieck <rieck@cs.tu-berlin.de>

    - changed loop conditions of prototype extraction

2009-08-19  Konrad Rieck <rieck@cs.tu-berlin.de>

    - beautification

    - added support for computing several quality measures

2009-08-18  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes in output and configuration

    - started new evaluation code and added sorting with indices

2009-08-17  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support for repeats of prototype extraction

2009-08-14  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes to prototype extraction

    - improved matlab interface for prototypes

2009-08-13  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added note about state of Malheur

2009-10-30  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixes for distribution

    - support to write version in latex

    - added nice output for pod file

    - added pod infavor of man.in

    - fixes to documentation

    - changed creation of man page

    - first paragraph

    - fixed copyright notice

    - minor fixes

2009-10-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - several improvements of doxygen documentation

2009-10-15  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved layout wrt assignments vs. classification using prototyes

    - changed file names

    - improved run-time of prototype extraction

    - minor speed improvements

2009-10-14  Konrad Rieck <rieck@cs.tu-berlin.de>

    - linux and matlab fixes

    - improved incremental output

    - first version of incremental analysis

2009-10-13  Konrad Rieck <rieck@cs.tu-berlin.de>

    - long overdue code formating

    - fix to automake

    - minor fixes

    - added classification test case

    - added clustering test case

    - added test case for prototype extraction

    - minor fixes in code layout

2009-10-12  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed configuration script

2009-10-12  Konrad Rieck <rieck@cs.tu-berlin.de>

    - forgot class files. ooops.

    - more doxygen fixes

    - fixed comments

    - improved classification routines

    - sync

    - working on cleaner design of clustering/classificaion/prototype stuff

    - changed load and save function for prototypes

2009-10-10  Konrad Rieck <rieck@cs.tu-berlin.de>

    - first version with clustering, classification and prototypes

    - added support for rejection class in classification

    - added support for standard prototype and reject files

2009-10-09  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed bug in matrix access (thanks to valgrind)

2009-10-09  Konrad Rieck <rieck@cs.tu-berlin.de>

    - more fixes to prototypes and export function

    - radical clean up of unused functions

    - simplified matlab cruft

    - further improvements of clustering and prototype computation

    - slimmed down prototype extraction

    - sanitized text output

    - removed annoying HTML and sandbox dependencies

    - fixes for OSX 10.6

2009-10-08  Konrad Rieck <rieck@cs.tu-berlin.de>

    - first version of clustering (Murtagh's algorithm)

    - minor fixes to configuration

2009-09-23  Konrad Rieck <rieck@node15.ml.tu-berlin.de>

    - minor bugfixes

2009-09-21  Konrad Rieck <rieck@node08.ml.tu-berlin.de>

    - fixed bug in orientation of matrices

2009-09-21  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support for distance between report sets

    - fixed bugs in loading routine

    - added support for reading multiple archives

    - added support to merge arrays

    - added first classification hooks in malheur.c

2009-09-09  Konrad Rieck <rieck@cs.tu-berlin.de>

    - refined prototype extraction

    - unified prototype extraction and classification code

    - adapted matlab code to new prototypes

    - adapted export functions to simple prototypes

    - simplified prototype structure

    - added first classification routines!

    - added first classification routines!

    - changed kernel to dot product

    - removed support for arbitary norms and added plain/html output

2009-09-07  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved output

    - removed reference to quantile prototypes

    - removed quantile prototypes

    - improved prototype interface

2009-08-31  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support to sort prototypes

    - fixed bug in progress bar

2009-08-27  Konrad Rieck <rieck@cs.tu-berlin.de>

    - changed loop conditions of prototype extraction

2009-08-19  Konrad Rieck <rieck@cs.tu-berlin.de>

    - beautification

    - added support for computing several quality measures

2009-08-18  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes in output and configuration

    - started new evaluation code and added sorting with indices

2009-08-17  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support for repeats of prototype extraction

2009-08-14  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes to prototype extraction

    - improved matlab interface for prototypes

2009-08-13  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added note about state of Malheur

    - improved HTML output for prototypes

    - solved file layout problem

    - rearranged files. still not happy :(

    - added HTML output of prototypes. Sucks big time.

2009-08-12  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added check for maximum distance

    - changed back to double representation

    - simplified prototype structure

    - added range check and new templates for export

2009-08-11  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added placeholders

2009-08-10  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added matlab functions for prototypes

2009-08-08  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved debugging support

    - added sse flags and improved fmath test

    - fixed missing double values

2009-08-04  Konrad Rieck <rieck@cs.tu-berlin.de>

    - more use of single precision math

2009-07-28  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved output

    - first version of prototype code

2009-07-26  Konrad Rieck <rieck@cs.tu-berlin.de>

    - forgot new files

2009-07-25  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor code beautification

    - changed name for feature vector

2009-07-11  Konrad Rieck <rieck@cs.tu-berlin.de>

    - new config setup

2009-07-04  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved support for configuration files (default values, generic printing,
    ...)

2009-07-02  Konrad Rieck <rieck@cs.tu-berlin.de>

    - separated embedding and normalization of feature vectors

2009-06-30  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed annoying automake compilation of matlab

    - fixes for matlab on amd64

2009-06-29  Konrad Rieck <rieck@cs.tu-berlin.de>

    - new MIST processing

2009-06-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved mist parsing

2009-06-15  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed signs of labels

2009-06-11  Konrad Rieck <rieck@cs.tu-berlin.de>

    - prototype structure defined

2009-06-10  Konrad Rieck <rieck@cs.tu-berlin.de>

    - option to output feature sources

    - release 0.1.1 (pre-alpha)

    - support for exporting kernel matrixes

2009-06-09  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed access to stat members, i.e., S_IS*

    - removed bool type from configuration

    - improved matlab interface

2009-06-08  Konrad Rieck <rieck@cs.tu-berlin.de>

    - support for dot product from matlab

    - added math functions for feature vector arrays (sum, mean, dodot)

    - fixed math functions (added dot product)

2009-06-06  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed memory leaks in matlab code

    - added support for libconfig under matlab

    - fixed wrong filename

2009-06-06  rieck <rieck@node02.ml.tu-berlin.de>

    - further fixes for amd64 linux systems

    - fixes for new matlab version

2009-06-05  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved naming of files

2009-06-03  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added placeholder for libconfig to mex files

    - minor fixes

2009-06-02  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added support to truncate MIST reports (untested)

2009-05-30  Konrad Rieck <rieck@cs.tu-berlin.de>

    - finetuning of output and configuration

    - extended feature vector and arrays with new fields (source, total, ...)

    - minor fixes in configuration

    - added support for sysconfdir

    - changed layout of main file

    - fixed documentation

2009-05-28  Konrad Rieck <rieck@cs.tu-berlin.de>

    - minor fixes

    - fixed bug with incorrect buffer end

    - added missing NULL to loaded archive data

    - fixed naming of functions listing file/archive entries

    - added support to read from archives (gz,zip,...)

    - improved hash function for label indices

    - added test case for feature array

2009-05-28  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed memory leak in parallel reading

2009-05-28  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added parallel loading and processing of feature vectors (did you know that
    osx' snprintf is not thread-safe?)

    - simplified counting of dir entries

    - added doxygen support

2009-05-28  Konrad Rieck <rieck@ubuntu.(none)>

    - fixed memory leak in destructor of label hash tables

2009-05-28  Konrad Rieck <rieck@cs.tu-berlin.de>

    - improved layout of array functions

2009-05-27  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added load/save functions for arrays of feature vectors

    - added math functionality and sanitized function names

    - fixed loading of files and added MIST preprocessing

2009-05-26  Konrad Rieck <rieck@ubuntu.(none)>

    - minor fixes related to linux

    - smaller test run for valgrind (no leaks in here)

2009-05-26  Konrad Rieck <rieck@cs.tu-berlin.de>

    - finished reading directory contents and loading of files (though with leak
    somewhere in fvec extraction)

2009-05-25  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added comments and improved feature table

    - improved performance of feature table

2009-05-24  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added several test cases (load/save, openmp)

    - fixed locking in feature table

    - added functions for data arrays and improved testing framework

2009-05-20  Konrad Rieck <rieck@cs.tu-berlin.de>

    - fixed issues related to matlab on amd64

    - simplified loading function

2009-05-18  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added first IO function

    - refined openmp support

    - added test cases for feature vectors. fixed minor issues in print and
    load/save functions

    - removed netbeans project files (will add later when layout is more mature)

2009-05-16  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added check for libarchive

2009-05-15  Konrad Rieck <rieck@cs.tu-berlin.de>

    - extended feature table and added test cases

    - added first math functions for feature vectors (add,sub,mul,div)

    - moved math functions to individual file

2009-05-14  Konrad Rieck <rieck@cs.tu-berlin.de>

    - netbeans folder

    - first version of pivot section

    - disabled openmp support (until matlab code is thread safe -- if ever)

    - added old matlab interface for mist reports

2009-05-06  Konrad Rieck <rieck@cs.tu-berlin.de>

    - added autoconf check/test target

    - started hash code for features

    - started hash code for features

    - added feature vector functions

    - added libconfig init and destroy code

    - added sample configuration file

    - adapted configure and ignore file accordingly

    - added typical application templates

    - Added basic autoconf/automake files

    - Added standard distribution files
